> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/dictionarymd/get-region--list-information.md).

# Get region list information

| HTTP method | Endpoint             |
| ----------- | -------------------- |
| **GET**     | **/v1/dict\_region** |

**Note: When you request this field, it will return you the targeted region information from the dictionary .**

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter | Description              |
| --------- | ------------------------ |
| country   | name/id of the country . |

**Note: Countrys field can't be null**

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field        | Type           | Description                         |
| ------------ | -------------- | ----------------------------------- |
| country\_id  | string         | Id of the country.                  |
| dict\_region | array\[string] | The country's regions.              |
| id           | string         | Id of the region.                   |
| region\_name | string         | International short of this region. |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** [http://{networkname}.api.offerslook.com/v1/dict\_region?country=CN](/api-documentation/networkapi/dictionarymd/get-region--list-information.md)

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "dict_region": [
            {
                "id": 633,
                "region_name": "Anhui Sheng"
            },
            {
                "id": 634,
                "region_name": "AOL"
            },
            {
                "id": 635,
                "region_name": "Beijing Shi"
            },
            {
                "id": 636,
                "region_name": "China"
            },
            {
                "id": 637,
                "region_name": "Chongqing Shi"
            },
            {
                "id": 638,
                "region_name": "Fujian Sheng"
            },
            {
                "id": 639,
                "region_name": "Gansu Sheng"
            },
            {
                "id": 640,
                "region_name": "Guangdong Sheng"
            },
            {
                "id": 641,
                "region_name": "Guangxi Zhuangzu Zizhiqu"
            },
            {
                "id": 642,
                "region_name": "Guizhou Sheng"
            },
            {
                "id": 643,
                "region_name": "Hainan Sheng"
            },
            {
                "id": 644,
                "region_name": "Hebei Sheng"
            },
            {
                "id": 645,
                "region_name": "Heilongjiang Sheng"
            },
            {
                "id": 646,
                "region_name": "Henan Sheng"
            },
            {
                "id": 647,
                "region_name": "Hubei Sheng"
            },
            {
                "id": 648,
                "region_name": "Hunan Sheng"
            },
            {
                "id": 649,
                "region_name": "Jiangsu Sheng"
            },
            {
                "id": 650,
                "region_name": "Jiangxi Sheng"
            },
            {
                "id": 651,
                "region_name": "Jilin Sheng"
            },
            {
                "id": 652,
                "region_name": "Liaoning Sheng"
            },
            {
                "id": 653,
                "region_name": "Nei Mongol Zizhiqu"
            },
            {
                "id": 654,
                "region_name": "Ningxia Huizi Zizhiqu"
            },
            {
                "id": 655,
                "region_name": "Qinghai Sheng"
            },
            {
                "id": 656,
                "region_name": "Shaanxi Sheng"
            },
            {
                "id": 657,
                "region_name": "Shandong Sheng"
            },
            {
                "id": 658,
                "region_name": "Shanghai Shi"
            },
            {
                "id": 659,
                "region_name": "Shanxi Sheng"
            },
            {
                "id": 660,
                "region_name": "Sichuan Sheng"
            },
            {
                "id": 661,
                "region_name": "Tianjin Shi"
            },
            {
                "id": 662,
                "region_name": "Xinjiang Uygur Zizhiqu"
            },
            {
                "id": 663,
                "region_name": "Xizang Zizhiqu"
            },
            {
                "id": 664,
                "region_name": "Yunnan Sheng"
            },
            {
                "id": 665,
                "region_name": "Zhejiang Sheng"
            }
        ],
        "country_id": 48
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/dictionarymd/get-region--list-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
